API Guide Home (Online version only) |

# NetPrefGPRSQOSType Struct Reference

## Detailed Description

NetPrefGPRSQOSType -- GPRS Quality Of Service (QOS) info.

Definition at line 335 of file NetPrefLibTypes.h.

## Data Fields

- Int8 qosReqPrecedenceClass
- Int8 qosReqDelayClass
- Int8 qosReqReliabilityClass
- Int8 qosReqPeakThruClass
- Int8 qosReqMeanThruClass
- Int8 qosMinPrecedenceClass
- Int8 qosMinDelayClass
- Int8 qosMinReliabilityClass
- Int8 qosMinPeakThruClass
- Int8 qosMinMeanThruClass
- Int8 pdpDataCompression
- Int8 pdpHeaderCompression
- UInt32 reserved [4]

## Field Documentation

Int8 qosReqPrecedenceClass

see ccsmCS_QOSReqPrecClassField

Definition at line 346 of file NetPrefLibTypes.h.

Int8 qosReqDelayClass

see ccsmCS_QOSReqDelayClassField

Definition at line 347 of file NetPrefLibTypes.h.

Int8 qosReqReliabilityClass

see ccsmCS_QOSReqRelClassField

Definition at line 348 of file NetPrefLibTypes.h.

Int8 qosReqPeakThruClass

see ccsmCS_QOSReqPeakThruClassField

Definition at line 349 of file NetPrefLibTypes.h.

Int8 qosReqMeanThruClass

see ccsmCS_QOSReqMeanThruClassField

Definition at line 350 of file NetPrefLibTypes.h.

Int8 qosMinPrecedenceClass

see ccsmCS_QOSMinPrecClassField

Definition at line 351 of file NetPrefLibTypes.h.

Int8 qosMinDelayClass

see ccsmCS_QOSMinDelayClassField

Definition at line 352 of file NetPrefLibTypes.h.

Int8 qosMinReliabilityClass

see ccsmCS_QOSMinRelClassField

Definition at line 353 of file NetPrefLibTypes.h.

Int8 qosMinPeakThruClass

see ccsmCS_QOSMinPeakThruClassField

Definition at line 354 of file NetPrefLibTypes.h.

Int8 qosMinMeanThruClass

see ccsmCS_QOSMinMeanThruClassField

Definition at line 355 of file NetPrefLibTypes.h.

Int8 pdpDataCompression

see ccsmCS_PDPDataComprField

Definition at line 356 of file NetPrefLibTypes.h.

Int8 pdpHeaderCompression

see ccsmCS_PDPHeaderComprField

Definition at line 357 of file NetPrefLibTypes.h.

UInt32 reserved[4]

Reserved by Handspring -- init to zero

Definition at line 359 of file NetPrefLibTypes.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:15 2008 for Palm API Guide